from eventAPI import *
from APIUtils import *

def fireEvent(e):
    showPicture(e, "ksscrystal")
    showMessage(e, ["The crystal emits a bright light, then shatters."])
    removeItem(e, firstHasItem(e, "Power Crystal"), "Power Crystal")
    x, c = 0, getPartyCount(e)
    while (x < c):
        modifySP(e, x, 250)
        x += 1
    return 1
